> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donnajames.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all Source Tags

> List all source tags for a chabot.

### Path

**uuid** `string` *required*

### Response

Source Tag list

**uuid** `string`

**name** `string`

**color** `string`

**data\_source\_uuids** `List[string]`

**created\_at** `string`

**modified\_at** `string`

```bash Curl
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/source-tags' \
--header 'Authorization: Bearer <token>'
```

```py Python
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/source-tags'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript
const axios = require("axios");

const uuid = "<chatbot-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/source-tags`;
const headers = {
  Authorization: "Bearer <token>",
};

axios
  .get(url, { headers })
  .then((response) => {
    console.log("Request successful!");
    console.log(response.data);
  })
  .catch((error) => {
    console.error("Request failed:", error);
  });
```

```json Response
[
  {
    "color": "#088F8F",
    "created_at": "2024-09-12T00:19:12Z",
    "data_source_uuids": [],
    "modified_at": "2024-09-12T00:19:12Z",
    "name": "tag 1",
    "uuid": "d6099f4845794b4bb088b291fc3ef23a"
  },
  {
    "color": "#FFFFFF",
    "created_at": "2024-09-10T00:19:12Z",
    "data_source_uuids": [],
    "modified_at": "2024-09-10T00:19:12Z",
    "name": "tag 2",
    "uuid": "91a1bf9ab7de4327921f1ec72ec1e456"
  }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.